PAGE 66,132

; z26 -- Atari 2600 emulator
; Copyright (C) 1997 by John Saeger

; Based on A26 version 0.15 by Paul Robson.  Thanks Paul!

; 01-09-97  --	first version
;		(adapted from version 0.15 of Paul Robson's A26)

; 08-28-97  --  (0.8) first released version
; 11-14-97  --  moved copyright notice to display when no filename is entered
; 11-14-97  --  added -r option to not wait for vertical retrace (flat out)
; 11-14-97  --  change player 0 fire key to space bar
; 11-14-97  --  added p for pause, enter to resume
; 11-15-97  --  added F9 for B/W F10 for color & fix Starmaster
; 11-17-97  --  add a help screen if no filename entered
; 11-18-97  --  modified TIAWrap macro to set Hmoves to negative color clocks to zero
;               (fixed left gun on Atlantis)
; 11-18-97  --  decided to go to .EXE file format from now on


; assembly time definitions

;comfile =		1		; build a COM file 
memcheats =		1		; cheat	on 16-bit reads
;dotiming =		1		; generate timing blips


	include defs.asm		; our definitions
	include	macros.asm		; our macros

	
IFNDEF comfile				; .EXE files get a stack segment
Stack SEGMENT PARA STACK 'STACK'
	DB 512 DUP (?)
Stack ENDS
ENDIF

.386					; allow 32-bit instructions

.CODESEGMENT
IFDEF comfile
	org	0100h			; remember CP/M
ENDIF   
entry:	jmp	start			; jump around our data
.CEND

.DATASEGMENT

	include data.asm		; da data

.DEND

.CODESEGMENT
	
	include cmdline.asm		; command line interpreter
	include console.asm		; console output (for debugging)
	include keyboard.asm		; convert keyboard into Atari joystick
	include sound.asm		; PC speaker support
	include graphics.asm		; VGA graphics initialization
	include cpu.asm			; 6502 opcodes and support routines
	include cpuhand.asm		; cpu memory & register handlers
	include tia.asm			; <-- the main machine -- * start here *
	include tiahand.asm		; TIA register handlers
	include tiabuf.asm		; TIA buffer management stuff

.CEND

.DATASEGMENT

	include memory.asm		; RIOT ram, cart ROM, & optional stack

.DEND

	END	entry   
